/*
** 1998-09-25 -	Child process handling module's header file.
*/

#if !defined(CHILDREN_H)
#define	CHILDREN_H

gboolean	chd_initialize(MainInfo *min);

void		chd_register(const gchar *prog, pid_t pid, guint32 gflags, guint32 aflags);

void		chd_set_running(CmdSeq *cs, guint index);
CmdSeq *	chd_get_running(guint *index);
void		chd_clear_running(void);
void		chd_clear_lock(void);

void		chd_kill_child(const gchar *name);
void		chd_kill_children(void);

#endif		/* CHILDREN_H */
